<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: SDImageFrame Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Class Methods</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="interface_s_d_image_frame-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SDImageFrame Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for SDImageFrame:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_s_d_image_frame.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Class Methods</h2></td></tr>
<tr class="memitem:a0a601ae94659f2e8ac9d6e39845184b1"><td class="memItemLeft" align="right" valign="top">(instancetype _Nonnull)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_s_d_image_frame.html#a0a601ae94659f2e8ac9d6e39845184b1">frameWithImage:duration:</a></td></tr>
<tr class="separator:a0a601ae94659f2e8ac9d6e39845184b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a2b67d932759084ffcf688f2a817cc894"><td class="memItemLeft" align="right" valign="top">UIImage *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_s_d_image_frame.html#a2b67d932759084ffcf688f2a817cc894">image</a></td></tr>
<tr class="separator:a2b67d932759084ffcf688f2a817cc894"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35594b2796ad9a5d668d99f7a9f838bd"><td class="memItemLeft" align="right" valign="top">NSTimeInterval&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_s_d_image_frame.html#a35594b2796ad9a5d668d99f7a9f838bd">duration</a></td></tr>
<tr class="separator:a35594b2796ad9a5d668d99f7a9f838bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Method Documentation</h2>
<a id="a0a601ae94659f2e8ac9d6e39845184b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a601ae94659f2e8ac9d6e39845184b1">&#9670;&nbsp;</a></span>frameWithImage:duration:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (instancetype _Nonnull) frameWithImage: </td>
          <td></td>
          <td class="paramtype">(UIImage *_Nonnull)&#160;</td>
          <td class="paramname"><em>image</em></td>
        </tr>
        <tr>
          <td class="paramkey">duration:</td>
          <td></td>
          <td class="paramtype">(NSTimeInterval)&#160;</td>
          <td class="paramname"><em>duration</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Create a frame instance with specify image and duration</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">image</td><td>current frame's image </td></tr>
    <tr><td class="paramname">duration</td><td>current frame's duration </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>frame instance </dd></dl>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a35594b2796ad9a5d668d99f7a9f838bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35594b2796ad9a5d668d99f7a9f838bd">&#9670;&nbsp;</a></span>duration</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSTimeInterval) duration</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The duration of current frame to be displayed. The number is seconds but not milliseconds. You should not set this to zero. </p>

</div>
</div>
<a id="a2b67d932759084ffcf688f2a817cc894"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b67d932759084ffcf688f2a817cc894">&#9670;&nbsp;</a></span>image</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIImage*) <a class="el" href="classdlib_1_1array2d.html">image</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The image of current frame. You should not set an animated image. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_s_d_image_frame_8h_source.html">SDImageFrame.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
